# $Revision: 1.19 $, $Date: 2012/02/07 22:05:31 $
#
# Conditional build:
%bcond_with	gnome2		# build with support for GNOME2 wm-properties
#
Summary:	pekwm - based on the aewm++ window manager
Summary(pl.UTF-8):	pekwm - zarządca okien oparty na aewm++
Name:		pekwm
Version:	0.1.13
Release:	3
License:	GPL v2
Group:		X11/Window Managers
Source0:	http://www.pekwm.org/projects/pekwm/files/%{name}-%{version}.tar.bz2
# Source0-md5:	51a3f9030817df0304cc1da5110e493a
Source1:	%{name}.desktop
Source2:	%{name}-xsession.desktop
URL:		http://pekwm.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-lib-libXrandr-devel
Conflicts:	filesystem < 3.0-20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11
%define		_deskdir	/usr/share/gnome/wm-properties
%define		_xdeskdir	%{_datadir}/xsessions

%description
pekwm is a small, fast, functional and flexible window manager.

%description -l pl.UTF-8
pekwm jest małym, szybkim, funkcjonalnym i elastycznym zarządcą okien.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-debug \
	--enable-harbour \
	--enable-image-jpeg \
	--enable-image-png \
	--enable-image-xpm \
	--enable-menus \
	--enable-shape \
	--enable-xft \
	--enable-xinerama \
	--enable-xrandr

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install\
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_deskdir},%{_xdeskdir}}
%{?with_gnome2:install %{SOURCE1} $RPM_BUILD_ROOT%{_deskdir}}
install %{SOURCE2} $RPM_BUILD_ROOT%{_xdeskdir}/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/themes
%dir %{_datadir}/%{name}/scripts
%attr(755,root,root) %{_datadir}/%{name}/scripts/*
%{?with_gnome2:%{_deskdir}/%{name}.desktop}
%{_xdeskdir}/%{name}.desktop
%{_mandir}/man1/%{name}.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pekwm.spec,v $
Revision 1.19  2012/02/07 22:05:31  arekm
- release 3

Revision 1.18  2011/12/20 19:37:22  arekm
- release 2

Revision 1.17  2011/08/15 08:18:23  atler
- up to 0.1.13
- url updated

Revision 1.16  2011/07/28 10:25:52  baggins
- renamed gnome bcond

Revision 1.15  2011/07/27 23:29:52  baggins
- rel 2
- conditional (off by default) wm-properties (only used in gnome2)

Revision 1.14  2011/01/24 02:36:57  sparky
- BR: pkgconfig

Revision 1.13  2010/06/08 22:03:13  atler
- up to 0.1.12
- add ac/am
- xorg BRs
- remove xinerama bcond, build with xinerama support by default

Revision 1.12  2008/09/18 15:56:04  patrys
- move wm-properties
- rel 2

Revision 1.11  2008-01-06 16:59:28  qboosh
- hack to get somehow more sane source file name

Revision 1.10  2008-01-06 16:22:11  prism
- 0.1.6

Revision 1.9  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.7  2006/08/23 18:59:57  havner
- [mass] do not require xinitrc-ng for window managers /usr/share/xsessions
  is in filesystem.spec and no xinitrc is required for wm to run.

Revision 1.6  2005/12/13 14:37:23  glen
- adapterized (sorted %verify flags)

Revision 1.5  2005/09/16 10:19:58  prism
- 0.1.4pre2

Revision 1.4  2004/08/20 16:06:04  qboosh
- missing dir, cleanup

Revision 1.3  2004/08/14 18:52:18  ankry
- pl fix

Revision 1.2  2004/08/14 10:04:29  adamg
- moved bcond to proper place; added its description
- typo in _deskdir definition
- various cosmetics

Revision 1.1  2004/08/14 09:16:29  jasw
-  initial version
